Subject: Re: [PATCH RFC 2/2] Move libgit.a sources into separate "lib/" directory

From: Junio C Hamano <[email-masked]>
Date: Fri, 17 Apr 2026 14:18:37 -0700

"brian m. carlson" <[email-masked]> writes:

> On 2026-04-16 at 13:24:31, Patrick Steinhardt wrote:
>> Introduce a new "lib/" directory and move all of our sources for
>> "libgit.a" into it to fix these issues. It makes the split we have
>> evident and reduces the number of files in our top-level tree from 550
>> files to ~80 files.
>> 
>> This is still a lot of files, but it's significantly easier to navigate
>> already. Furthermore, we can further iterate after this step and think
>> about introducing a better structure for remaining files, as well.
>
> I have not reviewed the details of the patch in general, but I think
> this is generally a good idea.  Most projects in non-C languages put
> files into some sort of directory structure which seems to help
> organization and discovery, so I think this would be useful here as
> well.

I do not mind a move to thin the set of regular files out of the
top-level directory.  I have forever been annoyed by my buil<TAB>
no longer complete to builtin (anticipating either .h or /) and
it would be nice if build.rs is renamed away, or builtin{.h,/}
are moved away, to restore the convenience of tab completion back.